Bug 577058 - Review Request: perl-SVG-TT-Graph - Base object for generating SVG Graphs
Summary: Review Request: perl-SVG-TT-Graph - Base object for generating SVG Graphs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-25 23:46 UTC by Emmanuel Seyman
Modified: 2010-04-16 23:43 UTC (History)
2 users (show)

Fixed In Version: perl-SVG-TT-Graph-0.12-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-16 23:31:44 UTC
cweyl: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2010-03-25 23:46:01 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-SVG-TT-Graph/perl-SVG-TT-Graph.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-SVG-TT-Graph/perl-SVG-TT-Graph-0.12-1.fc12.src.rpm
Description:
This package can be used as a base for creating SVG graphs with
Template Toolkit.

Comment 1 Chris Weyl 2010-03-26 02:47:08 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=2076462

Comment 2 Chris Weyl 2010-03-26 02:52:18 UTC
PERL_INSTALL_ROOT is probably better off as DESTDIR...  May have missed that
last time around :)

Aside from that, looks good!

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2076462

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
4b2f2821484d023ab1f7218e4362b752b7bffacc SVG-TT-Graph-0.12.tar.gz
4b2f2821484d023ab1f7218e4362b752b7bffacc SVG-TT-Graph-0.12.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-SVG-TT-Graph-0.12-1.fc13.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-SVG-TT-Graph-0.12-1.fc13.noarch.rpm
perl(SVG::TT::Graph) = 0.12
perl-SVG-TT-Graph = 0.12-1.fc13
perl(SVG::TT::Graph::Bar) = 0.11
perl(SVG::TT::Graph::BarHorizontal)  
perl(SVG::TT::Graph::BarLine)  
perl(SVG::TT::Graph::Line)  
perl(SVG::TT::Graph::Pie)  
perl(SVG::TT::Graph::TimeSeries) = 0.11
====> requires for perl-SVG-TT-Graph-0.12-1.fc13.noarch.rpm
perl(base)  
perl(Carp)  
perl(Data::Dumper)  
perl(DateTime)  
perl(HTTP::Date)  
perl(:MODULE_COMPAT_5.10.1)  
perl(POSIX)  
perl(strict)  
perl(SVG::TT::Graph)  
perl(Template)  
perl(vars)  

=====> perl-SVG-TT-Graph-0.12-1.fc13.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-SVG-TT-Graph-0.12-1.fc13.src.rpm
====> requires for perl-SVG-TT-Graph-0.12-1.fc13.src.rpm
perl(DateTime)  
perl(ExtUtils::MakeMaker)  
perl(HTTP::Date)  
perl(Template)  
perl(Test::More)  

APPROVED

Comment 3 Emmanuel Seyman 2010-03-26 09:51:36 UTC
Thanks, Chris.

New Package CVS Request
=======================
Package Name: perl-SVG-TT-Graph
Short Description: Base object for generating SVG Graphs
Owners: eseyman
Branches: F-13 F-12 F-11
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2010-03-30 21:44:05 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-03-30 23:18:56 UTC
perl-SVG-TT-Graph-0.12-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-SVG-TT-Graph-0.12-1.fc13

Comment 6 Fedora Update System 2010-03-30 23:19:00 UTC
perl-SVG-TT-Graph-0.12-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-SVG-TT-Graph-0.12-1.fc12

Comment 7 Fedora Update System 2010-03-30 23:19:05 UTC
perl-SVG-TT-Graph-0.12-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-SVG-TT-Graph-0.12-1.fc11

Comment 8 Fedora Update System 2010-04-01 01:47:49 UTC
perl-SVG-TT-Graph-0.12-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-SVG-TT-Graph'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-SVG-TT-Graph-0.12-1.fc11

Comment 9 Fedora Update System 2010-04-01 01:57:13 UTC
perl-SVG-TT-Graph-0.12-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-SVG-TT-Graph'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-SVG-TT-Graph-0.12-1.fc12

Comment 10 Fedora Update System 2010-04-01 19:34:34 UTC
perl-SVG-TT-Graph-0.12-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-SVG-TT-Graph'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-SVG-TT-Graph-0.12-1.fc13

Comment 11 Fedora Update System 2010-04-16 23:31:39 UTC
perl-SVG-TT-Graph-0.12-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-04-16 23:42:37 UTC
perl-SVG-TT-Graph-0.12-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-04-16 23:42:58 UTC
perl-SVG-TT-Graph-0.12-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.